Package be.ehealth.businessconnector.genericasync.helper

# Class PostHelper

java.lang.Object
be.ehealth.businessconnector.genericasync.helper.PostHelper

public class PostHelper extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PostHelper(String platformName, String projectName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProcessedPostResponse`
  `post(byte[] request, String messageName, InputReference inputReference)`
  `ProcessedPostResponse`
  `post(byte[] request, String messageName, ConfigName configName, InputReference inputReference)`
  `ProcessedPostResponse`
  `post(byte[] request, String messageName, ConfigName configName, String recipient, InputReference inputReference)`
  `ProcessedPostResponse`
  `post(byte[] request, String messageName, ConfigName configName, String recipient, InputReference inputReference, String messageVersion)`
  `ProcessedPostResponse`
  `post(byte[] request, String messageName, String recipient, InputReference inputReference)`
  `ProcessedPostResponse`
  `post(Object request, String messageName, String schemaLocation, InputReference inputReference)`
  `ProcessedPostResponse`
  `post(Object request, String messageName, String schemaLocation, String recipient, InputReference inputReference)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PostHelper

    public PostHelper(String platformName, String projectName)

- ## Method Details

  - ### post

    public ProcessedPostResponse post(Object request, String messageName, String schemaLocation, InputReference inputReference) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### post

    public ProcessedPostResponse post(byte[] request, String messageName, InputReference inputReference) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### post

    public ProcessedPostResponse post(byte[] request, String messageName, ConfigName configName, InputReference inputReference) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### post

    public ProcessedPostResponse post(Object request, String messageName, String schemaLocation, String recipient, InputReference inputReference) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### post

    public ProcessedPostResponse post(byte[] request, String messageName, String recipient, InputReference inputReference) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### post

    public ProcessedPostResponse post(byte[] request, String messageName, ConfigName configName, String recipient, InputReference inputReference) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### post

    public ProcessedPostResponse post(byte[] request, String messageName, ConfigName configName, String recipient, InputReference inputReference, String messageVersion) throws ConnectorException
    Throws:
      `ConnectorException`